package com.dxhy.common.enums;

/**
 * 认证状态
 * 
 * @author jiaohongyang
 * @date 2019年4月25日
 * 
 */
public enum RzztEnum {

    /**
     * 未认证代码
     */
    WRZ("0", 1),
    /**
     * 已认证抵扣
     */
    YRZ("1", 2),
    /**
     * 已认证不抵扣
     */
    YRZBDK("2", 3),
    /**
     * 已认证退税
     */
    TSRZ("3", 4);

    private static final String[] RZZTMC = {"未认证", "已认证抵扣", "已认证不抵扣", "退税认证"};

    private String rzztDm;
    private int index;

    RzztEnum(String rzztDm, int index) {
        this.rzztDm = rzztDm;
        this.index = index;
    }

    public String getRzztDm(int index) {
        for (RzztEnum rzzt : RzztEnum.values()) {
            if (rzzt.getIndex() == index) {
                return rzzt.rzztDm;
            }
        }
        return null;
    }

    public String getRzztMc(int index) {
        int length = RZZTMC.length;
        if (index <= length) {
            return RZZTMC[index - 1];
        }
        return null;
    }

    public String getRzztDm() {
        return rzztDm;
    }

    public void setRzztDm(String rzztDm) {
        this.rzztDm = rzztDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
